.bg-light {
  background-color: #f8f9fa!important;
}@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
  }
html {
    scroll-behavior: smooth !important;
  }

body {
    --montserrat: "Montserrat", sans-serif;
    --poppins: "Poppins", sans-serif;
    --para-font-size: 1.8rem;
    --super-header-font-size: 6rem;
    --super-header-font-size-mobile: 4rem !important;
    --header-font-size: 4rem;
    /* change */
    --portfolio-font-size: 3vw;
    /* change */

  --bg-color: #FFD700;
}

.para{
    font-family: var(--montserrat);
    font-size: var(--para-font-size);
    line-height: 1.5;
    font-weight: 400;
}

/* navbar */
.navbar{
    padding: 0 4rem;
    background-color: #ffffff10 !important;
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
}

.navbrandLogo{
  width: 200 !important; 
  height: 70 !important;
}

.nav-para{
    font-family: var(--montserrat);
    font-size: 0.8rem;
    font-weight: 400;
    margin-top: -0.6rem;
}

.nav-link{
    font-family: var(--poppins);
    font-weight: 500;
    font-size: 0.9rem;
    margin-right: 1rem;
}

.underline-btn{
    border-top: transparent !important;
    border-left: transparent !important;
    border-right: transparent !important;
    background-color: transparent !important;

    font-family: var(--montserrat);
    font-weight: 600;
    font-size: 0.8rem;

    border-bottom: 2px solid #000;
}

.underline-btn {
    display: inline-block;
    position: relative;
    overflow: hidden;
    /* color: #7c7c7c  !important; */
      font-weight: var(--fontW3) !important;
      margin: 1rem 2rem 0rem 0rem !important;
      font-size: 0.9rem !important;
      text-decoration: none !important;
    margin-top: 2px;
    border-bottom: solid 3px #FFD7FF;  
  }

  .underline-btn:after {
    display:block;
    content: '';
    margin-top: 2px;
    border-bottom: solid 3px #3d3a3a;  
    transform: scaleX(0);  
    transition: transform 250ms ease-in-out;
    transform-origin:100% 50%
    }

  .underline-btn:hover:after { 
    transform: scaleX(1);
    transform-origin:0 50%;
    cursor: pointer !important;
    text-decoration-color:#3d3d3a !important;
  }

  /* underline button navbar */
  
.underline-btn-1{
    border-top: transparent !important;
    border-left: transparent !important;
    border-right: transparent !important;
    background-color: transparent !important;

    font-family: var(--montserrat);
    font-weight: 600;
    font-size: 0.8rem;

    border-bottom: 2px solid #000;
}

.underline-btn-1 {
    display: inline-block;
    position: relative;
    overflow: hidden;
    color: #666464  !important;
      font-weight: var(--fontW3) !important;
      font-size: 0.9rem !important;
      text-decoration: none !important;
    margin-top: 2px;
    border-bottom: solid 3px #ffffff10;  
  }

  .underline-btn-1:after {
    display:block;
    content: '';
    margin-top: 2px;
    border-bottom: solid 3px #3d3a3a;  
    transform: scaleX(0);  
    transition: transform 250ms ease-in-out;
    transform-origin:100% 50%
    }

  .underline-btn-1:hover:after { 
    transform: scaleX(1);
    transform-origin:0 50%;
    cursor: pointer !important;
    text-decoration-color:#3d3d3a !important;
  }

  .scroll-svg{
    width: 5rem !important;
    position: absolute;
    bottom: 2rem;
    right: 2rem;
    z-index: 100;
    animation: rotate-svg 3s infinite;
  }
  
  @keyframes rotate-svg {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }


/* hero area  */
.container, .container-lg, .container-md, .container-sm, .container-xl {
    max-width: 1300px;
}

.hero-area{
    height: 100vh;

    position: relative !important;
    
    /* background: linear-gradient(to right,  white 10%, #eaeaea 0%); */
}

.hero-para{
    font-family: var(--montserrat);
    font-size: 1.2rem;
    line-height: 1.5;
    font-weight: 600;
}


.hero-name{
    /* margin-top: 1rem !important; */
    font-size: 4.7rem;
    font-weight: 800;
    font-family: var(--poppins);
    line-height: 1;
    color: #fff;
    text-shadow:
   -1.5px -1.5px 0 #3d3d3a,  
    1.5px -1.5px 0 #3d3d3a,
    -1.5px 1.5px 0 #3d3d3a,
     1.5px 1.5px 0 #3d3d3a;
}

.rel-col{
    position: relative !important;
    z-index: 2 !important;
}

.bg-rect{
    width: 85vw !important;
    height: 88vh;
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: 1 !important;

    background-color: var(--bg-color);
}

.name-col{
    position: absolute;
    left: 10% !important;

    z-index: 99;
}

.name-col, .right-hero-info-col{
    height: 100vh !important;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column wrap;
}

.middle-rect{
    position: absolute;

    background-color: #C4C4C4;
    height: 45vw !important;       

    display: flex;
    justify-content: flex-end;
    flex-flow: column wrap;
    text-align: center;
    border-radius: 20px 20px 20px 20px;

    padding: 0 4rem !important;

    top: -5rem;
    left: 0%;

    z-index: 99;
}


.hero-image{
    margin-bottom: -7rem;
    height: 40.5vw !important;
    width: 90vw !important;
    border-radius: 20px 20px 20px 20px ;
}

.hero-subheader{
    font-weight: 600;
    font-family: var(--poppins);
}

.Ux{
  font-weight: 600;
  font-family: var(--poppins);
}

.right-hero-para{
    font-family: var(--montserrat);
    font-size: 1rem;
    line-height: 1.5;
    font-weight: 600;
    margin: 1rem 0;
}

.only-mobile{
    display: none;
}

/* portfolio */

.portfolio {
    margin-top: 10rem 0;
  }
  .title {
    font-size: var(--header-font-size);
    font-weight: 600;
    font-family: var(--poppins);
    margin-bottom: 2rem;
    margin-top: 5rem;
  }
  .project-list {
    margin-top: 2rem;
  }
  .list-group-item.active {
    color: #f85151;
    background-color: transparent !important;
  }
  .list-group-item.active:hover {
    color: #f57761;
    background-color: transparent !important;
  }
  .Portfolio-link {
    font-size: var(--portfolio-font-size);
    letter-spacing: 0.25rem;
    font-weight: 500;
    font-family: var(--poppins);
    line-height: 1.5;
    color: #EFE1CE;
    text-shadow: -1.5px -1.5px 0 #3d3d3a, 1.5px -1.5px 0 #3d3d3a,
      -1.5px 1.5px 0 #3d3d3a, 1.5px 1.5px 0 #3d3d3a;
    border: none;
  }
  .Portfolio-link:hover {
    color: #E8A798;
    background-color: transparent;
  }
  .img-fluid{
    border-radius: 20px 20px 20px 20px;
  }
  .mobile-portfolio {
    display: none;
  }

  /*about me */
  .about-section{
    height: 100% !important;
    margin: 5rem 0 !important;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column wrap;
    background-color: #C4C4C4 ;  /* #ffdf29 */
    padding: 5rem 0 2rem 0;
    border-radius: 10px 10px 10px 10px;
  }

  .about-sticky{
  
    position: sticky;
    top: 30vh;
  }

  .about-header{
    font-size: var(--super-header-font-size);
    font-weight: 700;
    line-height: 1.1;
    color: #fff;
    font-family: var(--poppins);
    margin-bottom: 5rem;
    position: sticky;
    top: 30vh;
    text-shadow:
   -1.5px -1.5px 0 #3d3d3a,  
    1.5px -1.5px 0 #3d3d3a,
    -1.5px 1.5px 0 #3d3d3a,
     1.5px 1.5px 0 #3d3d3d;
  }
  .skill-card{
    background-color: gold;
    height: auto;
    padding: 2rem;
    box-shadow: #666464 0px 8px 5px 1px;
  }
  .skill-card-header{
    font-size: 1.5rem;
    font-weight: 600;
    font-family: var(--poppins);
    padding: 1.1rem;
  }

  .skilss-list li{
      font-family: var(--poppins);
      font-size: 1.1rem;
  }
.right-about-col{
    position: sticky;
    top: 30vh;
}
.box-btn{
    padding: 0.5rem;
    background-color: #272625f3 ;
    border-radius: 0 0 20px 20px;
    border: 2px solid #3d3a3a;
    color: #fff;
    box-shadow: #666464 0px 2px 2px 0.5px;
    transition: all 0.3s ease-in-out;
}

.box-btn:hover{
    background-color: transparent;
    color: #3d3a3a;
    border: 2px solid #3d3a3a;
}
.mt{
    margin-top: 1rem;
}

.fb{
    border-radius: 20px 20px 0 0;
}

.mb{
    border-radius: 0 0 0 0;
}

.lb{
    border-radius: 0 0 20px 20px;
}


.contact{
    position: relative !important;
    width: 85vw !important;
    height: 55vh;
    line-height: 1.5;
    left: 0;
    bottom: 0;
    border-radius: 0 20px 0 0;
    background-color: #C4C4C4;
}

.contact-body{
    position: relative !important;
    left: 10% !important;
    top: 10% !important;
}

.contact-title{
    font-size: var(--header-font-size);
    font-weight: 600;
    font-family: var(--montserrat);
    margin-bottom: 1rem;
}

.contact-text{
    font-family: var(--montserrat);
    font-size: 1.5rem;
    line-height: 2;
    font-weight: 500;
    margin: 1rem 1;
    margin-bottom: 1rem;
}

.footer-area{
    position: relative !important;
}

.scroll-up-butn{
    width: 40px;
    text-decoration: none;
    text-align: center;
    line-height: 1.5;
    color: black;
    font-size: 3rem;
    font-weight: 600;
}
.scroll-up-btn{
    position: fixed;
    width: 40px;
    height: 40px;
    background-color:#fff;
    bottom: 3rem;
    right: 3rem;
    border-radius: 20px 20px 20px 20px;
}

.card-body{
    padding: 1.5rem !important;
    background-color: #3d3a3a;
}

.card-text{
    font-family: var(--poppins);
    font-size: 1rem;
    color: #fff;
    font-weight: 400;
    align-items: center;
}

.contact-icons{
    margin: 2rem 1;
  }

  .c-i{
    margin-left: 1rem;
}
  
/* mobile */
@media only screen and (max-width:768px) {

    .only-mobile{
        display: block;
    }

    .navbar{
        padding: 0rem 1rem !important;
        background-color:#ffffff10 !important;
        backdrop-filter: blur(10px) !important;
        -webkit-backdrop-filter: blur(10px) !important;

    }
    .hero-area{
        height: 100%;
        padding: 8rem 0 5rem 0!important;
        position: relative !important;
        
        /* background: linear-gradient(to right,  white 10%, #eaeaea 0%); */
    }
    
    .hero-para{
        font-family: var(--montserrat);
        font-size: 1.2rem;
        line-height: 1.5;
        font-weight: 600;
    }
    
    
    .hero-name{
        /* margin-top: 1rem !important; */
    
        
        font-size: var(--super-header-font-size-mobile);
        font-weight: 800;
        font-family: var(--poppins);
        line-height: 1;
        color: #fff;
        text-shadow:
       -1.5px -1.5px 0 #3d3d3a,  
        1.5px -1.5px 0 #3d3d3a,
        -1.5px 1.5px 0 #3d3d3a,
         1.5px 1.5px 0 #3d3d3a;
    }
    
    .rel-col{
        position: relative !important;
        z-index: 2 !important;
    }
    
    .bg-rect{
        width: 100vw !important;
        height: 100%;
        position: absolute;
        right: 0;
        top: 0;
        z-index: 1 !important;
    
        background-color: var(--bg-color);
    }
    
    .name-col{
        position: absolute;
        left: 10% !important;
    
        z-index: 99;
    }
    
    .name-col{
        height: 100vh !important;
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
        flex-flow: column wrap;
    }

    .right-hero-info-col {
        height: 100% !important;
        margin-top: 7rem !important;
        padding: 0 1rem 5rem 1rem!important;
    }
    
    .middle-rect{
        position: absolute;
    
        background-color: #C4C4C4;
        height: 80vh !important;   
        width: 90vw !important;     
    
        display: flex;
        justify-content: flex-end;
        flex-flow: column wrap;
        text-align: center;
    
        padding: 0 4rem !important;
    
        top: 0rem;
        left: 0rem;
    
        z-index: 99;

        display: none;

    }
    
    
    .hero-image{
        height: auto !important;
        width: auto !important;

        position: relative !important;
        z-index: 1;

        margin-top: 9rem !important;
        margin-left: 0rem !important;
    }
    
    .hero-subheader{
        font-weight: 600;
        width: 75%;
        font-size: 1.2rem;
        font-family: var(--poppins);
    }
    
    .right-hero-para{
        font-family: var(--montserrat);
        width: 75%;
        font-size: 0.9rem;
        line-height: 2;
        font-weight: 400;
        margin: 0.5rem 0;
    }
     
  .portfolio {
    margin-top: 6rem;
  }
  .portfoilo-img,
  .project-list 
  {
    display: none;
  }
  .mobile-portfolio 
  {
    display: block;
  }

  .arrow {
    background-color: transparent !important;
    border: none !important;
    display: flex;

    justify-content: center;
  }

  /*about me*/
  .about-header{
    font-size: var(--super-header-font-size-mobile);
    font-weight: 700;
    line-height: 1.1;
    font-family: var(--poppins);
    margin-bottom: 5rem;
    position: sticky;
    top: 30vh;
  }
  .right-about-col{
    margin-top: 2rem !important;
    padding: 1rem ;
  }

 
 /*contact*/
 .contact{
    position: relative !important;
    width: 100vw !important;
    height: 100%;
    right: 0;
    top: 0;
    background-color: #C4C4C4;

}
.contact-body{
    position: relative !important;
    left: 0 !important;
    margin-top: 2rem;
    height: 100% !important;
    padding: 1rem 0 2rem 1rem !important;
}
.contact-title{
    font-weight: 600;
    width: 75%;
    font-size: 1.2rem;
    font-family: var(--poppins);
    margin-bottom: 0rem;
}

.contact-text{
    font-family: var(--montserrat);
    width: 75%;
    line-height: 1.5;
    font-weight: 400;
    margin: 0.5rem 0;
}

 /*footer*/
 .card-text{
     font-family: var(--montserrat);
     width: 100%;
     font-size: 0.9rem;
     line-height:1.5;
     font-weight: 400;
 }
 
.contact-icons{
    margin: 2rem 1;
    margin-bottom: 2rem;
  }

  .c-i{
    margin-left: 1rem;
    width: 2.5rem;
}


.scroll-up-butn{
    width: 30px;
    text-decoration: none;
    text-align: center;
    line-height: 1.5;
    color: black;
    font-size: 3rem;
    font-weight: 600;
}
.scroll-up-btn{
    position: fixed;
    width: 25px;
    height: 25px;
    background-color:#fff;
    bottom: 3.5rem;
    right: 3.5rem;
    border-radius: 20px 20px 20px 20px;
}

}


/* Tablet */
@media only screen and (min-width:768px) and (max-width:1024px) {
    
  .only-mobile{
    display: block;
}

.navbar{
    padding: 0rem 1rem !important;
    background-color:#ffffff10 !important;
    backdrop-filter: blur(10px) !important;
    -webkit-backdrop-filter: blur(10px) !important;

}
.hero-area{
    height: 100%;
    padding: 10rem 0 5rem 0!important;
    position: relative !important;
    
    /* background: linear-gradient(to right,  white 10%, #eaeaea 0%); */
}

.hero-para{
    font-family: var(--montserrat);
    font-size: 1.2rem;
    line-height: 1.5;
    font-weight: 600;
}


.hero-name {
  /* margin-top: 1rem !important; */
  font-size: 5.8rem;
  font-weight: 800;
  font-family: var(--poppins);
  line-height: 1;
  color: #fff;
  text-shadow:
  -1.5px -1.5px 0 #3d3d3a,
  1.5px -1.5px 0 #3d3d3a,
  -1.5px 1.5px 0 #3d3d3a,
  1.5px 1.5px 0 #3d3d3a;
}

.rel-col{
    position: relative !important;
    z-index: 2 !important;
}

.bg-rect{
    width: 100vw !important;
    height: 100%;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1 !important;

    background-color: var(--bg-color);
}

.name-col{
    position: absolute;
    left: 10% !important;

    z-index: 99;
}

.name-col{
    height: 100vh !important;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-flow: column wrap;
}

.right-hero-info-col {
    height: 100% !important;
    margin-top: 7rem !important;
    padding: 0 1rem 5rem 1rem!important;
}

.middle-rect{
    position: absolute;

    background-color: #C4C4C4;
    height: 80vh !important;   
    width: 90vw !important;     

    display: flex;
    justify-content: flex-end;
    flex-flow: column wrap;
    text-align: center;

    padding: 0 4rem !important;

    top: 0rem;
    left: 0rem;

    z-index: 99;

    display: none;

}


.hero-image{
    height: auto !important;
    position: relative !important;
    z-index: 1;
    margin-top: 10rem !important;
    margin-left: 2.5rem !important;
}

.hero-subheader{
    font-weight: 600;
    width: 75%;
    font-size: 1.2rem;
    font-family: var(--poppins);
    margin-top: 2rem;
}

.right-hero-para{
    font-family: var(--montserrat);
    width: 75%;
    font-size: 0.9rem;
    line-height: 1.5;
    font-weight: 400;
    margin: 0.5rem 0;
}
 
.portfolio {
margin-top: 6rem;
}
.portfoilo-img,
.project-list 
{
display: none;
}
.mobile-portfolio 
{
display: block;
}

.skill-card{
  background-color: gold;
  height: auto;
  width: 70%;
  padding: 2rem;
  box-shadow: #666464 0px 8px 5px 1px;
  margin-left: 2rem;
}
.skill-card-header{
  font-size: 2rem;
  font-weight: 600;
  font-family: var(--poppins);
  padding: 1rem;
}

.skilss-list li{
    font-family: var(--poppins);
    font-size: 1.4rem;
    margin-left: 2.5rem;
}
.right-about-col{
  position: sticky;
  top: 30vh;
}

.mt{
  margin-top: 1rem;
}

.fb{
  border-radius: 20px 20px 0 0;
}

.mb{
  border-radius: 0 0 0 0;
}

.lb{
  border-radius: 0 0 20px 20px;
}

.contact{
  position: relative !important;
  width: 100vw !important;
  height: 30vh !important;
  right: 0;
  top: 0;
  background-color: #C4C4C4;
}

.right-about-col{
  padding: 1rem ;
  margin-left: 2rem;
}

.arrow {
background-color: transparent !important;
border: none !important;
display: flex;

justify-content: center;
}

}